<?xml version="1.0" encoding="UTF-8"?>

<module xmlns="urn:jboss:module:1.1" name="org.apache.karaf">

    <properties>
        <property name="jboss.api" value="private"/>
    </properties>

    <resources>
        <resource-root path="org.apache.felix.gogo.runtime-0.11.0.redhat-610379.jar"/>
        <resource-root path="org.apache.karaf.admin.core-2.3.0.redhat-610379.jar"/>
        <resource-root path="org.apache.karaf.admin.management-2.3.0.redhat-610379.jar"/>
        <resource-root path="org.apache.karaf.jaas.boot-2.3.0.redhat-610379.jar"/>
        <resource-root path="org.apache.karaf.jaas.modules-2.3.0.redhat-610379.jar"/>
        <resource-root path="org.apache.karaf.shell.console-2.3.0.redhat-610379.jar"/>
        <resource-root path="org.apache.karaf.util-2.3.0.redhat-610379.jar"/>
    </resources>

    <exports>
        <exclude path="org/apache/felix/utils/**"/>
    </exports>
    
    <dependencies>
        <module name="javax.api"/>
        <module name="org.osgi.enterprise"/>
        <module name="org.osgi.core"/>
        <module name="org.slf4j"/>
    </dependencies>

</module>
